<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:ui="http://java.sun.com/jsf/facelets"
    xmlns:p="http://primefaces.org/ui"
    xmlns:c="http://java.sun.com/jstl/core">
<h:head>
    <title>Tablero de Mando - Mix de Productos</title>
    <link rel="icon" type="image/png" sizes="16x16" href="#{request.contextPath}/recursos/assets/images/favicon.png"/>
    <link href="#{request.contextPath}/recursos/assets/footable/css/footable.bootstrap.min.css" rel="stylesheet"/>
    <link href="#{request.contextPath}/recursos/dist/css/pages/contact-app-page.css" rel="stylesheet"/>
	<link href="#{request.contextPath}/recursos/dist/css/pages/footable-page.css" rel="stylesheet"/>
    
    <link href="#{request.contextPath}/recursos/dist/css/style.css" rel="stylesheet"/>
	<link href="#{request.contextPath}/recursos/assets/icons/simple-line-icons/css/simple-line-icons.css" rel="stylesheet" />
	<link href="#{request.contextPath}/recursos/assets/icons/themify-icons/themify-icons.css" rel="stylesheet" />
    <link href="#{request.contextPath}/recursos/assets/icons/font-awesome/css/fontawesome-all.css" rel="stylesheet"/>
    
    <script src="#{request.contextPath}/recursos/assets/chart/Chart.min.js"></script>
    <script src="#{request.contextPath}/recursos/assets/highcharts/highmaps.js"></script>
    <script src="#{request.contextPath}/recursos/assets/popper/popper.min.js"></script>
    <script src="#{request.contextPath}/recursos/assets/bootstrap/js/bootstrap.min.js"></script>
    <script src="#{request.contextPath}/recursos/dist/js/perfect-scrollbar.jquery.min.js"></script> 
    <script src="#{request.contextPath}/recursos/dist/js/waves.js"></script>
    <script src="#{request.contextPath}/recursos/dist/js/sidebarmenu.js"></script>
    <script src="#{request.contextPath}/recursos/assets/sticky-kit-master/dist/sticky-kit.min.js"></script>
	<script src="#{request.contextPath}/recursos/assets/sparkline/jquery.sparkline.min.js"></script>
    <script src="#{request.contextPath}/recursos/assets/moment/moment.js"></script>
    <script src="#{request.contextPath}/recursos/assets/footable/js/footable.min.js"></script>

   	<style>
		body {
        margin: 0;
        overflow-x: hidden;
        font-size: 10px;
        font-weight: 300;
        }
        .card-primary {background: transparent;}
        .card {
        padding: 10px;
        
        border-radius: 15px;
        }
        
        .tablero {background: #fff; margin: 20px 0; padding: 20px;}
        .tablero dl, .tablero ol, .tablero ul {
        margin-top: 0;
        margin-bottom: 0.1rem;
        padding-left: 0;
        }
        .card-header {padding: 5px; font-size: 12px;}
        h6 {margin-bottom: 0; font-size: 10px;}
        h5 {margin-bottom: 0; font-size: 13px; text-align: right;}
        .table td, .table th {
        padding: 5px;
        }
        hr {
        margin-top: 1rem;
        margin-bottom: 1rem;
        border: 0;
        border-top: 1px solid rgba(0,0,0,.1);
        }
        .bg-warning {
        background-color: #A4CE4F !important;
        }
        .footer {
        font-size: 14px;
        }
        .col, .col-1, .col-10, .col-11, .col-12, .col-2, .col-3, .col-4, .col-5, .col-6, .col-7, .col-8, .col-9, .col-auto, .col-lg, .col-lg-1, .col-lg-10, .col-lg-11, .col-lg-12, .col-lg-2, .col-lg-3, .col-lg-4, .col-lg-5, .col-lg-6, .col-lg-7, .col-lg-8, .col-lg-9, .col-lg-auto, .col-md, .col-md-1, .col-md-10, .col-md-11, .col-md-12, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8, .col-md-9, .col-md-auto, .col-sm, .col-sm-1, .col-sm-10, .col-sm-11, .col-sm-12, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-sm-auto, .col-xl, .col-xl-1, .col-xl-10, .col-xl-11, .col-xl-12, .col-xl-2, .col-xl-3, .col-xl-4, .col-xl-5, .col-xl-6, .col-xl-7, .col-xl-8, .col-xl-9, .col-xl-auto {
        position: relative;
        width: 100%;
        padding-right: 2px;
        padding-left: 2px;
        }
        .col-lg-6,
        .col-lg-5 {
        padding: 10px 25px;
        }
        .tablero .card-header:first-child {
        border-radius: calc(10px - 0px) calc(10px - 0px) 0 0;
        height: 42px;
        text-transform: uppercase;
        }
        .tablero .card-body {
        padding: 0 0px;
        background: #fff;
        border-radius: 13px;
        }
        .tablero .bg-gris {
        background-color: #A7A8AA !important;
        }
        .tablero .borde-gris {
        border: 1px solid #A7A8AA ;
        }
        .tablero .borde-gris .table td {
        border-top: 1px solid #A7A8AA!important;
        }
        .tablero .borde-verde {
        border: 1px solid #A4CE4F;
        }
        .tablero .borde-verde .table td {
        border-top: 1px solid #A4CE4F!important;
        }
        
        .card {
		    position: relative;
		    display: -webkit-box;
		    display: -ms-flexbox;
		    display: flex;
		    -webkit-box-orient: vertical;
		    -webkit-box-direction: normal;
		    -ms-flex-direction: column;
		    flex-direction: column;
		    min-width: 0;
		    word-wrap: break-word;
		    background-color: #fff;
		    background-clip: border-box;
		    border: 1px solid rgba(0,0,0,.125);
		}
		.card-rounded {border-radius: .75rem;}
		.shadow-sm {
		    box-shadow: 0 .125rem .25rem rgba(0,0,0,.075)!important;
		}
        
		.ui-growl {
		    position:absolute;
		    top:40%;
		    left:35%;
		    z-index:9999;
		    border-radius:15px;
		    background-color:#FFFFFF;
		}
	</style>
</h:head>
<h:body styleClass="skin-blue fixed-layout">
	<!-- ============================================================== -->
	<!-- Preloader - style you can find in spinners.css -->
	<!-- ============================================================== -->
	<div class="preloader">
		<div class="loader">
			<div class="loader__figure"></div>
			<p class="loader__label">BEBOSS</p>
		</div>
	</div>
	<!-- ============================================================== -->
	<!-- Main wrapper - style you can find in pages.scss -->
	<!-- ============================================================== -->
	<div id="main-wrapper">
		<!-- ============================================================== -->
		<!-- Topbar header - style you can find in pages.scss -->
		<!-- ============================================================== -->
		<header class="topbar">
			<nav class="navbar top-navbar navbar-expand-md navbar-dark">
				<!-- ============================================================== -->
				<!-- Logo -->
				<!-- ============================================================== -->
				<div class="navbar-header">
					<a class="navbar-brand" href="#">
						<!-- Logo icon --><b>
                            <!--You can put here icon as well // <i class="wi wi-sunset"></i> //-->
                            <!-- Dark Logo icon -->                           
                            <h:graphicImage url="#{request.contextPath}/recursos/assets/images/logo-icon.png" alt="homepage" class="dark-logo" />
                            <!-- Light Logo icon -->
                            <h:graphicImage url="#{request.contextPath}/recursos/assets/images/logo-light-icon.png" class="light-logo" />
                        </b>
						<!--End Logo icon -->
						<!-- Logo text -->
 						<span>
                            <!-- dark Logo text -->
                            <img src="#{request.contextPath}/recursos/assets/images/logo-text.png" alt="homepage" class="dark-logo" />
                            <!-- Light Logo text -->
                            <img src="#{request.contextPath}/recursos/assets/images/logo-light-text.png" class="light-logo" alt="homepage" />
                        </span>
					</a>
				</div>
				<!-- ============================================================== -->
				<!-- End Logo -->
				<!-- ============================================================== -->
				<div class="navbar-collapse">
					<!-- ============================================================== -->
					<!-- toggle and nav items -->
					<!-- ============================================================== -->
					<ul class="navbar-nav mr-auto">
						<!-- This is  -->
						<li class="nav-item"> <a class="nav-link nav-toggler d-block d-md-none waves-effect waves-dark" href="javascript:void(0)"><i class="ti-menu"></i></a> </li>
						<li class="nav-item"> <a class="nav-link sidebartoggler d-none d-lg-block d-md-block waves-effect waves-dark" href="javascript:void(0)"><i class="icon-menu"></i></a> </li>
						<!-- ============================================================== -->
						<!-- Search -->
						<!-- ============================================================== -->
					</ul>
					<!-- ============================================================== -->
					<!-- User profile and search -->
					<!-- ============================================================== -->
					<ul class="navbar-nav my-lg-0">
						<!-- ============================================================== -->
						<!-- User Profile -->
						<!-- ============================================================== -->
						<h:form id="frmDrillDown">
							<p:panel rendered="#{mixProdBean.usuarioDrillDown eq null}">
								<li class="nav-item dropdown u-pro">
									<a class="nav-link dropdown-toggle waves-effect waves-dark profile-pic" href="" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><span class="hidden-md-down">#{mixProdBean.usuario.nombreCompletoUsuario}<i class="fa fa-angle-down"></i></span> </a>
									<div class="dropdown-menu dropdown-menu-right animated flipInY">
							        	<p:commandLink actionListener="#{loginBean.logoutAction}" styleClass="dropdown-item"><i class="fa fa-power-off"></i> Cerrar Sesión</p:commandLink>
		        					</div>
								</li>
							</p:panel>
							<p:panel rendered="#{mixProdBean.usuarioDrillDown ne null}">
								<p:commandLink style="color: white;font-size: 14px;" value="#{mixProdBean.usuarioDrillDown.getPerfil()}: #{mixProdBean.usuarioDrillDown.getNombres()}"/><p:spacer width="20px" />
								<p:commandLink actionListener="#{loginBean.volverPerfil}" style="color: white;font-size: 14px;" value="VOLVER A MI PERFIL" />
							</p:panel>
						</h:form>
						<!-- ============================================================== -->
						<!-- End User Profile -->
						<!-- ============================================================== -->
					</ul>
				</div>
			</nav>
		</header>
		<!-- ============================================================== -->
		<!-- End Topbar header -->
		<!-- ============================================================== -->
		<!-- ============================================================== -->
		<!-- Left Sidebar - style you can find in sidebar.scss  -->
		<!-- ============================================================== -->
		<h:form>
		<aside class="left-sidebar">
			<!-- Sidebar scroll-->
			<div class="scroll-sidebar">
				<!-- Sidebar navigation-->
				<nav class="sidebar-nav">
					<ul id="sidebarnav">
					    <li> 
							<p:commandLink ajax="true" onclick="$('.preloader').fadeIn();" actionListener="#{loginBean.cleanBeanAndRedirect('/perfil')}" styleClass="has-arrow waves-effect waves-dark">
						       <i class="icon-user"></i><span class="hide-menu">Perfil</span>
						    </p:commandLink>
						</li>	
						<c:if test="#{perfilBean.esAsesor}">
							<li>
								<p:commandLink ajax="true" onclick="$('.preloader').fadeIn();" actionListener="#{loginBean.cleanBeanAndRedirect('/cargaDatosAs')}" styleClass="has-arrow waves-effect waves-dark">
							       <i class="fas fa-upload"></i><span class="hide-menu">Carga de Datos</span>
							    </p:commandLink>		
							</li>
						</c:if>
						<c:if test="#{perfilBean.esAsesorODrillDownAsesor}">	
							<li>
								<p:commandLink ajax="true" onclick="$('.preloader').fadeIn();" actionListener="#{loginBean.cleanBeanAndRedirect('/sueldo')}" styleClass="has-arrow waves-effect waves-dark">
							       <i class="fas fa-calendar-check"></i><span class="hide-menu">Sueldo Mes Actual</span>
							    </p:commandLink>		
							</li>
						</c:if>
						<li>
							<p:commandLink ajax="true" onclick="$('.preloader').fadeIn();" actionListener="#{loginBean.cleanBeanAndRedirect('/tableroMando')}" styleClass="has-arrow waves-effect waves-dark">
						       <i class="ti-eye"></i><span class="hide-menu">Tablero de Mando</span>
						    </p:commandLink>		
						</li>
						<li> 
							<p:commandLink ajax="true" onclick="$('.preloader').fadeIn();" actionListener="#{loginBean.cleanBeanAndRedirect('/mixProd')}" styleClass="has-arrow waves-effect waves-dark active">
						       <i class="ti-layout-grid2"></i><span class="hide-menu">Mix de Productos</span>
						    </p:commandLink>
						</li>
						<li> 
							<p:commandLink ajax="true" onclick="$('.preloader').fadeIn();" actionListener="#{loginBean.cleanBeanAndRedirect('/funnel')}" styleClass="has-arrow waves-effect waves-dark">
						       <i class="fa fa-filter"></i><span class="hide-menu">Funnel Actividades</span>
						    </p:commandLink>
						</li>
					</ul>
				</nav>
				<!-- End Sidebar navigation -->
			</div>
			<!-- End Sidebar scroll-->
		</aside>
		</h:form>
		<!-- ============================================================== -->
		<!-- Left Sidebar - style you can find in sidebar.scss  -->
		<!-- ============================================================== -->
		
		<!-- ============================================================== -->
		<!-- End Left Sidebar - style you can find in sidebar.scss  -->
		<!-- ============================================================== -->
		<!-- ============================================================== -->
		<!-- Page wrapper  -->
		<!-- ============================================================== -->
  	
  		<div class="page-wrapper">
			<!-- ============================================================== -->
			<!-- Container fluid  -->
			<!-- ============================================================== -->
			<div class="container-fluid">
			    
                <div class="row page-titles">
                    <div class="col-md-10 align-self-left">
                        <h4 class="text-themecolor">MIX DE PRODUCTOS</h4>
                        <h5 class="text-themecolor text-left">Informate de la profundidad y amplitud de tu cartera de productos de mes actual y de un periodo seleccionado, en términos de Número de Pólizas</h5>
                    </div>
                    <div class="col-md-2 align-self-center text-right">
                        <div class="d-flex justify-content-end align-items-center">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="javascript:void(0)">Inicio</a></li>
                                <li class="breadcrumb-item active">Mix de Productos</li>
                            </ol>
                            
                        </div>
                    </div>
                </div>
				
				<div class="card card-rounded bt-switch shadow-md">
					<div class="tablero">
						<div class="row">
		                    <div class="col-md-6 align-self-center text-center">
		                        <h4 class="text-themecolor">ACTUAL</h4>
		                    </div>
		                    <div class="col-md-6 align-self-center text-center">
		                            <h4 class="text-themecolor">HISTÓRICA</h4>
		                    </div>
		                </div>
		                
		                <div class="row" style="position: relative;float: right;margin-right: 120px;">
		                	<h:form id="frmFiltros">
		                		<p:growl autoUpdate="true" widgetVar="growlWV" id="growl" life="4000" />
								<div class="col-lg-14">
									<table>
							    		<tr>
							    			<td>
								    			<p class="float-left pt-2 pr-2">Desde</p>
								    		</td>
							    			<td>
								    			<h:selectOneMenu id="selectAnoDesde" value="#{mixProdBean.anoDesde}" styleClass="form-control custom-select">
			                                    	<p:ajax update="linkBuscar, selectMesDesde, selectAnoHasta, selectMesHasta" listener="#{mixProdBean.completaMesesDesde}" />
			                                    	<f:selectItem itemLabel="Año" itemValue="#{null}" />
										            <f:selectItems value="#{mixProdBean.listaAnosDesde}" />
										        </h:selectOneMenu>
								    		</td>
								    		<td>
								    			<h:selectOneMenu id="selectMesDesde" value="#{mixProdBean.mesDesde}" styleClass="form-control custom-select">
			                                    	<p:ajax update="linkBuscar, selectMesHasta" listener="#{mixProdBean.completaMesesHasta}" />
			                                    	<f:selectItem itemLabel="Mes" itemValue="#{null}" />
										            <f:selectItems value="#{mixProdBean.listaMesesDesde}" />
										        </h:selectOneMenu>
								    		</td>
								    		<td>
								    			<p class="float-left pt-2 pr-2">Hasta</p>
								    		</td>
								    		<td>
								    		 	<h:selectOneMenu id="selectAnoHasta" value="#{mixProdBean.anoHasta}" styleClass="form-control custom-select">
			                                    	<p:ajax update="linkBuscar, selectMesHasta" listener="#{mixProdBean.completaMesesHasta}" />
			                                    	<f:selectItem itemLabel="Año" itemValue="#{null}" />
										            <f:selectItems value="#{mixProdBean.listaAnosHasta}" />
										        </h:selectOneMenu>
								    		</td>
								    		<td>
								    			<h:selectOneMenu id="selectMesHasta" value="#{mixProdBean.mesHasta}" styleClass="form-control custom-select">
			                                    	<p:ajax update="linkBuscar" />
			                                    	<f:selectItem itemLabel="Mes" itemValue="#{null}" />
										            <f:selectItems value="#{mixProdBean.listaMesesHasta}" />
										        </h:selectOneMenu>
								    		</td>
								    		<td>
								    		</td>
								    		<td>
								    			<p:commandLink id="linkBuscar" disabled="#{mixProdBean.anoDesde eq null or mixProdBean.mesDesde eq null or mixProdBean.anoHasta eq null or mixProdBean.mesHasta eq null}" actionListener="#{mixProdBean.filtraHistorico}" 
			                                 			update="frmFiltros" process="@this" oncomplete="cargaRefrescar();" onclick="$('.preloader').fadeIn();">
			                                 		<c:if test = "#{mixProdBean.anoDesde eq null or mixProdBean.mesDesde eq null or mixProdBean.anoHasta eq null or mixProdBean.mesHasta eq null}">	
			                                 			<i class="fa fa-search" aria-hidden="true" style="font-size:20px;color:#d9d9d6"></i>
			                                 		</c:if>
			                                 		<c:if test = "#{mixProdBean.anoDesde ne null and mixProdBean.mesDesde ne null and mixProdBean.anoHasta ne null and mixProdBean.mesHasta ne null}">	
			                                 			<i class="fa fa-search" aria-hidden="true" style="font-size:20px;color:#333333"></i>
			                                 		</c:if>
			                                 </p:commandLink>
								    		</td>
								    	</tr>
						    		</table>
					    		</div>
					    		<div class="col-lg-2"></div>
					        	<h:inputHidden id="respuesta" value="#{mixProdBean.respuesta}" />
					    	</h:form>
		                </div>
		                <br /><br /><br />
		                <hr></hr>
						<div class="row ">
							<div id="Proteccion 1" class="col-lg-5">
								<!-- Row -->
								<h4 class="text-left">Protección</h4>
								<div class="row gutter-lg">
									<!-- column -->
									<div class="col-lg-3 col-md-6">
										<!-- Card -->
										<div class="card-primary info">
											<div class="card-body borde-verde">
												<div class="card-header bg-warning text-dark">Accidental Básico</div>
												<table class="table" style="width:100%">
													<tr>
														<td>
															<h6>Meta</h6>
															<h5><span id="proteccion_accidental_basico_meta"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Real</h6>
															<h5><span id="proteccion_accidental_basico_real"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Promedio UF</h6>
															<h5><span id="proteccion_accidental_basico_real_uf"></span></h5></td>
													</tr>
												</table>
											</div>
										</div>
										<!-- Card -->
									</div>
									<!-- column -->
									<!-- column -->
									<div class="col-lg-3 col-md-6">
											<!-- Card -->
										<div class="card-primary info">
											<div class="card-body borde-verde">
												<div class="card-header bg-warning text-dark">Accidental Full</div>
												<table class="table" style="width:100%">
													<tr>
														<td>
															<h6>Meta</h6>
															<h5><span id="proteccion_accidental_full_meta"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Real</h6>
															<h5><span id="proteccion_accidental_full_real"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Promedio UF</h6>
															<h5><span id="proteccion_accidental_full_real_uf"></span></h5></td>
													</tr>
												</table>
											</div>
										</div>
										<!-- Card -->
									</div>
									<!-- column -->
									<!-- column -->
									<div class="col-lg-3 col-md-6">
											<!-- Card -->
										<div class="card-primary info">
											<div class="card-body borde-verde">
												<div class="card-header bg-warning text-dark">Full Protección</div>
												<table class="table" style="width:100%">
													<tr>
														<td>
															<h6>Meta</h6>
															<h5><span id="proteccion_full_proteccion_meta"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Real</h6>
															<h5><span id="proteccion_full_proteccion_real"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Promedio UF</h6>
															<h5><span id="proteccion_full_proteccion_real_uf"></span></h5></td>
													</tr>
												</table>
											</div>
										</div>
										<!-- Card -->
									</div>
									<!-- column -->
									<!-- column -->
									<div class="col-lg-3 col-md-6">
											<!-- Card -->
										<div class="card-primary info">
											<div class="card-body borde-verde">
												<div class="card-header bg-warning text-dark">Salud</div>
												<table class="table" style="width:100%">
													<tr>
														<td>
															<h6>Meta</h6>
															<h5><span id="proteccion_salud_meta"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Real</h6>
															<h5><span id="proteccion_salud_real"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Promedio UF</h6>
															<h5><span id="proteccion_salud_real_uf"></span></h5></td>
													</tr>
												</table>
											</div>
										</div>
										<!-- Card -->
									</div>
									<!-- column -->
								</div>
								<!-- Row -->
							</div>
							<div class="col-lg-2"></div>
							<div id="Proteccion 2" class="col-lg-5">
								<!-- Row -->
								<h4 class="text-left">Protección</h4>
								<div class="row">
									<!-- column -->
									<div class="col-lg-3 col-md-6">
										<!-- Card -->
										<div class="card-primary info">
											<div class="card-body borde-gris">
												<div class="card-header bg-gris text-dark">Accidental Básico</div>
												<table class="table" style="width:100%">
													<tr>
														<td>
															<h6>Total</h6>
															<h5><span id="proteccion_hist_accidental_basico_totalAcum"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Promedio UF</h6>
															<h5><span id="proteccion_hist_accidental_basico_promediouf"></span></h5></td>
													</tr>
												</table>
											</div>
										</div>
										<!-- Card -->
									</div>
									<!-- column -->
									<!-- column -->
									<div class="col-lg-3 col-md-6">
											<!-- Card -->
										<div class="card-primary info">
											<div class="card-body borde-gris">
												<div class="card-header bg-gris text-dark">Accidental Full</div>
												<table class="table" style="width:100%">
													<tr>
														<td>
															<h6>Total</h6>
															<h5><span id="proteccion_hist_accidental_full_totalAcum"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Promedio Uf</h6>
															<h5><span id="proteccion_hist_accidental_full_promediouf"></span></h5></td>
													</tr>
												</table>
											</div>
										</div>
										<!-- Card -->
									</div>
									<!-- column -->
									<!-- column -->
									<div class="col-lg-3 col-md-6">
											<!-- Card -->
										<div class="card-primary info">
											<div class="card-body borde-gris">
												<div class="card-header bg-gris text-dark">Full Protección</div>
												<table class="table" style="width:100%">
													<tr>
														<td>
															<h6>Total</h6>
															<h5><span id="proteccion_hist_full_proteccion_totalAcum"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Promedio UF</h6>
															<h5><span id="proteccion_hist_full_proteccion_promediouf"></span></h5></td>
													</tr>
												</table>
											</div>
										</div>
										<!-- Card -->
									</div>
									<!-- column -->
									<!-- column -->
									<div class="col-lg-3 col-md-6 img-responsive">
											<!-- Card -->
										<div class="card-primary info">
											<div class="card-body borde-gris">
												<div class="card-header bg-gris text-dark">Salud</div>
												<table class="table" style="width:100%">
													<tr>
														<td>
															<h6>Total</h6>
															<h5><span id="proteccion_hist_salud_totalAcum"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Promedio UF</h6>
															<h5><span id="proteccion_hist_salud_promediouf"></span></h5></td>
													</tr>
												</table>
											</div>
										</div>
										<!-- Card -->
									</div>
									<!-- column -->
								</div>
								<!-- Row -->
							</div>
						</div>
						<div class="row">
							<div id="Ahorro 1" class="col-lg-5">
								<!-- Row -->
								<h4 class="text-left">Ahorro</h4>
								<div class="row">
									<!-- column -->
									<div class="col-lg-3 col-md-6">
										<!-- Card -->
										<div class="card-primary info">
											<div class="card-body borde-verde">
												<div class="card-header bg-warning text-dark">APV CLASICO</div>
												<table class="table" style="width:100%">
													<tr>
														<td>
															<h6>Meta</h6>
															<h5><span id="ahorro_apv_clasico_meta"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Real</h6>
															<h5><span id="ahorro_apv_clasico_real"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Promedio UF</h6>
															<h5><span id="ahorro_apv_clasico_real_uf"></span></h5></td>
													</tr>
												</table>
											</div>
										</div>
										<!-- Card -->
									</div>
									<!-- column -->
									<!-- column -->
									<div class="col-lg-3 col-md-6">
											<!-- Card -->
										<div class="card-primary info">
											<div class="card-body borde-verde">
												<div class="card-header bg-warning text-dark">APV EXECUTIVE</div>
												<table class="table" style="width:100%">
													<tr>
														<td>
															<h6>Meta</h6>
															<h5><span id="ahorro_apv_executive_meta"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Real</h6>
															<h5><span id="ahorro_apv_executive_real"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Promedio UF</h6>
															<h5><span id="ahorro_apv_executive_real_uf"></span></h5></td>
													</tr>
												</table>
											</div>
										</div>
										<!-- Card -->
									</div>
									<!-- column -->
									<!-- column -->
									<div class="col-lg-3 col-md-6">
											<!-- Card -->
										<div class="card-primary info">
											<div class="card-body borde-verde">
												<div class="card-header bg-warning text-dark">APV PREMIUM</div>
												<table class="table" style="width:100%">
													<tr>
														<td>
															<h6>Meta</h6>
															<h5><span id="ahorro_apv_premium_meta"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Real</h6>
															<h5><span id="ahorro_apv_premium_real"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Promedio UF</h6>
															<h5><span id="ahorro_apv_premium_real_uf"></span></h5></td>
													</tr>
												</table>
											</div>
										</div>
										<!-- Card -->
									</div>
									<!-- column -->
									<!-- column -->
									<div class="col-lg-3 col-md-6 img-responsive">
											<!-- Card -->
										<div class="card-primary info">
											<div class="card-body borde-verde">
												<div class="card-header bg-warning text-dark">PYA CLASICO</div>
												<table class="table" style="width:100%">
													<tr>
														<td>
															<h6>Meta</h6>
															<h5><span id="ahorro_pya_clasico_meta"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Real</h6>
															<h5><span id="ahorro_pya_clasico_real"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Promedio UF</h6>
															<h5><span id="ahorro_pya_clasico_real_uf"></span></h5></td>
													</tr>
												</table>
											</div>
										</div>
										<!-- Card -->
									</div>
									<!-- column -->
									
								</div>
								<!-- Row -->
								<br />
								<div class="row">
									<!-- column -->
									<div class="col-lg-3 col-md-6 img-responsive">
											<!-- Card -->
										<div class="card-primary info">
											<div class="card-body borde-verde">
												<div class="card-header bg-warning text-dark">PYA EXECUTIVE</div>
												<table class="table" style="width:100%">
													<tr>
														<td>
															<h6>Meta</h6>
															<h5><span id="ahorro_pya_executive_meta"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Real</h6>
															<h5><span id="ahorro_pya_executive_real"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Promedio UF</h6>
															<h5><span id="ahorro_pya_executive_real_uf"></span></h5></td>
													</tr>
												</table>
											</div>
										</div>
										<!-- Card -->
									</div>
									<!-- column -->
									<!-- column -->
									<div class="col-lg-3 col-md-6 img-responsive">
											<!-- Card -->
										<div class="card-primary info">
											<div class="card-body borde-verde">
												<div class="card-header bg-warning text-dark">PYA PREMIUM</div>
												<table class="table" style="width:100%">
													<tr>
														<td>
															<h6>Meta</h6>
															<h5><span id="ahorro_pya_premium_meta"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Real</h6>
															<h5><span id="ahorro_pya_premium_real"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Promedio UF</h6>
															<h5><span id="ahorro_pya_premium_real_uf"></span></h5></td>
													</tr>
												</table>
											</div>
										</div>
										<!-- Card -->
									</div>
									<!-- column -->
									<!-- column -->
									<div class="col-lg-3 col-md-6 img-responsive">
											<!-- Card -->
										<div class="card-primary info">
											<div class="card-body borde-verde">
												<div class="card-header bg-warning text-dark">UNIVERSITARIO</div>
												<table class="table" style="width:100%">
													<tr>
														<td>
															<h6>Meta</h6>
															<h5><span id="universitario_meta"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Real</h6>
															<h5><span id="universitario_real"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Promedio UF</h6>
															<h5><span id="universitario_real_uf"></span></h5></td>
													</tr>
												</table>
											</div>
										</div>
										<!-- Card -->
									</div>
									<!-- column -->
								</div>
								<!-- Row -->
							</div>
							<div class="col-lg-2"></div>
							<div id="Ahorro 2" class="col-lg-5">
								<!-- Row -->
								<h4 class="text-left">Ahorro</h4>
								<div class="row">
									<!-- column -->
									<div class="col-lg-3 col-md-6">
										<!-- Card -->
										<div class="card-primary info">
											<div class="card-body borde-gris">
												<div class="card-header bg-gris text-dark">APV CLASICO</div>
												<table class="table" style="width:100%">
													<tr>
														<td>
															<h6>Total</h6>
															<h5><span id="ahorro_hist_apv_clasico_totalAcum"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Promedio UF</h6>
															<h5><span id="ahorro_hist_apv_clasico_promediouf"></span></h5></td>
													</tr>
												</table>
											</div>
										</div>
										<!-- Card -->
									</div>
									<!-- column -->
									<!-- column -->
									<div class="col-lg-3 col-md-6">
											<!-- Card -->
										<div class="card-primary info">
											<div class="card-body borde-gris">
												<div class="card-header bg-gris text-dark">APV EXECUTIVE</div>
												<table class="table" style="width:100%">
													<tr>
														<td>
															<h6>Total</h6>
															<h5><span id="ahorro_hist_apv_executive_totalAcum"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Promedio UF</h6>
															<h5><span id="ahorro_hist_apv_executive_promediouf"></span></h5></td>
													</tr>
												</table>
											</div>
										</div>
										<!-- Card -->
									</div>
									<!-- column -->
									<!-- column -->
									<div class="col-lg-3 col-md-6">
											<!-- Card -->
										<div class="card-primary info">
											<div class="card-body borde-gris">
												<div class="card-header bg-gris text-dark">APV PREMIUM</div>
												<table class="table" style="width:100%">
													<tr>
														<td>
															<h6>Total</h6>
															<h5><span id="ahorro_hist_apv_premium_totalAcum"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Promedio UF</h6>
															<h5><span id="ahorro_hist_apv_premium_promediouf"></span></h5></td>
													</tr>
												</table>
											</div>
										</div>
										<!-- Card -->
									</div>
									<!-- column -->
									<!-- column -->
									<div class="col-lg-3 col-md-6 img-responsive">
											<!-- Card -->
										<div class="card-primary info">
											<div class="card-body borde-gris">
												<div class="card-header bg-gris text-dark">PYA CLASICO</div>
												<table class="table" style="width:100%">
													<tr>
														<td>
															<h6>Total</h6>
															<h5><span id="ahorro_hist_pya_clasico_totalAcum"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Promedio UF</h6>
															<h5><span id="ahorro_hist_pya_clasico_promediouf"></span></h5></td>
													</tr>
												</table>
											</div>
										</div>
										<!-- Card -->
									</div>
									<!-- column -->
									
								</div>
								<!-- Row -->
								
								<br /><br /><br />
								
								<div class="row">
									<!-- column -->
									<div class="col-lg-3 col-md-6 img-responsive">
									<!-- Card -->
										<div class="card-primary info">
											<div class="card-body borde-gris">
												<div class="card-header bg-gris text-dark">PYA EXECUTIVE</div>
												<table class="table" style="width:100%">
													<tr>
														<td>
															<h6>Total</h6>
															<h5><span id="ahorro_hist_pya_executive_totalAcum"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Promedio UF</h6>
															<h5><span id="ahorro_hist_pya_executive_promediouf"></span></h5></td>
													</tr>
												</table>
											</div>
										</div>
										<!-- Card -->
									</div>
									<!-- column -->
									<!-- column -->
									<div class="col-lg-3 col-md-6 img-responsive">
									<!-- Card -->
										<div class="card-primary info">
											<div class="card-body borde-gris">
												<div class="card-header bg-gris text-dark">PYA PREMIUM</div>
												<table class="table" style="width:100%">
													<tr>
														<td>
															<h6>Total</h6>
															<h5><span id="ahorro_hist_pya_premium_totalAcum"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Promedio UF</h6>
															<h5><span id="ahorro_hist_pya_premium_promediouf"></span></h5></td>
													</tr>
												</table>
											</div>
										</div>
										<!-- Card -->
									</div>
									<!-- column -->
									<!-- column -->
									<div class="col-lg-3 col-md-6 img-responsive">
									<!-- Card -->
										<div class="card-primary info">
											<div class="card-body borde-gris">
												<div class="card-header bg-gris text-dark">UNIVERSITARIO</div>
												<table class="table" style="width:100%">
													<tr>
														<td>
															<h6>Total</h6>
															<h5><span id="universitario_hist_totalAcum"></span>%</h5></td>
													</tr>
													<tr>
														<td>
															<h6>Promedio UF</h6>
															<h5><span id="universitario_hist_promediouf"></span></h5></td>
													</tr>
												</table>
											</div>
										</div>
										<!-- Card -->
									</div>
									<!-- column -->
								</div>
								<!-- Row -->
							</div>
						</div>	
					</div>
				</div>
				<!-- ============================================================== -->
				<!-- End PAge Content -->
				<!-- ============================================================== -->
			</div>
			<!-- ============================================================== -->
			<!-- End Container fluid  -->
			<!-- ============================================================== -->
		</div>
		<!-- ============================================================== -->
		<!-- End Page wrapper  -->
		<!-- ============================================================== -->
		<!-- ============================================================== -->
		<!-- footer -->
		<!-- ============================================================== -->
		<footer class="footer">
			<h:graphicImage url="#{request.contextPath}/recursos/assets/images/logo-beboss.png" alt="homepage" class="mr-2" />  Copyright © 2019 BEBOSS. Todos los derechos reservados.
		</footer>
		<!-- ============================================================== -->
		<!-- End footer -->
		<!-- ============================================================== -->
	</div>
	<!-- ============================================================== -->
	<!-- End Wrapper -->
	<!-- ============================================================== -->
	<!-- ============================================================== -->
	<!-- All Jquery -->
	<!-- ============================================================== -->
	
	<script type="text/javascript">
	 //<![CDATA[	
	 $(function() {
	     $(".preloader").fadeOut();
	     cargaInicial();
	 });
	 
	 function cargaInicial(){
		 var json = '#{mixProdBean.respuesta}'; 
		 cargaDatos(json);
	 }
	 
	 function cargaRefrescar(){
    	 $(".preloader").fadeIn();
		 var json = document.getElementById('frmFiltros:respuesta').value;
		 cargaDatos(json);
	 }
	 
	function cargaDatos(json){ 
		 $(".preloader").fadeOut();
	 	var mixProd = JSON.parse(json);
	 	if(mixProd.codError!=0){
	 		PF('growlWV').renderMessage({"summary":"Mix de Productos", "detail":"Filtros de busqueda sin resultados", "severity":"warn"})
	 	}else{
	 		for (var i = 0; i < mixProd.data.ProductosActual.length; i++){
	 		    var obj = mixProd.data.ProductosActual[i];
	 		    
	 		    if (obj.NombreProducto === "PROTECCION"){
	 		    	for (var x = 0; x < obj.SubProductos.length; x++){
	 		 		    var objp = obj.SubProductos[x];
	 		 		    if(objp.NombreSubProducto === "ACCIDENTAL FULL"){
	 		 		    	$("#proteccion_accidental_full_meta").text(cambiaDecimal(objp.Meta));
	 		 		    	$("#proteccion_accidental_full_real").text(cambiaDecimal(objp.Real));
	 		 		    	$("#proteccion_accidental_full_real_uf").text(cambiaDecimal(objp.RealUf));
	 		 		    }
	 		 		  	if(objp.NombreSubProducto === "FULL PROTECCION"){
	 		 		    	$("#proteccion_full_proteccion_meta").text(cambiaDecimal(objp.Meta));
	 		 		    	$("#proteccion_full_proteccion_real").text(cambiaDecimal(objp.Real));
	 		 		    	$("#proteccion_full_proteccion_real_uf").text(cambiaDecimal(objp.RealUf));
	 		 		    }
	 		 			if(objp.NombreSubProducto === "ACCIDENTAL BASICO"){
	 		 		    	$("#proteccion_accidental_basico_meta").text(cambiaDecimal(objp.Meta));
	 		 		    	$("#proteccion_accidental_basico_real").text(cambiaDecimal(objp.Real));
	 		 		    	$("#proteccion_accidental_basico_real_uf").text(cambiaDecimal(objp.RealUf));
	 		 		    }
	 		 			if(objp.NombreSubProducto === "SALUD"){
	 		 		    	$("#proteccion_salud_meta").text(cambiaDecimal(objp.Meta));
	 		 		    	$("#proteccion_salud_real").text(cambiaDecimal(objp.Real));
	 		 		    	$("#proteccion_salud_real_uf").text(cambiaDecimal(objp.RealUf));
	 		 		    }
	 		    	}
	 		    }else if(obj.NombreProducto === "AHORRO"){
	 		    	for (var x = 0; x < obj.SubProductos.length; x++){
	 		 		    var objp = obj.SubProductos[x];
	 		 		    if(objp.NombreSubProducto === "APV CLASICO"){
	 		 		    	$("#ahorro_apv_clasico_meta").text(cambiaDecimal(objp.Meta));
	 		 		    	$("#ahorro_apv_clasico_real").text(cambiaDecimal(objp.Real));
	 		 		    	$("#ahorro_apv_clasico_real_uf").text(cambiaDecimal(objp.RealUf));
	 		 		    }
	 		 		 	if(objp.NombreSubProducto === "APV EXECUTIVE"){
	 		 		 		$("#ahorro_apv_executive_meta").text(cambiaDecimal(objp.Meta));
	 		 		    	$("#ahorro_apv_executive_real").text(cambiaDecimal(objp.Real));
	 		 		    	$("#ahorro_apv_executive_real_uf").text(cambiaDecimal(objp.RealUf));
	 		 		    }
						if(objp.NombreSubProducto === "APV PREMIUM"){
							$("#ahorro_apv_premium_meta").text(cambiaDecimal(objp.Meta));
	 		 		    	$("#ahorro_apv_premium_real").text(cambiaDecimal(objp.Real));
	 		 		    	$("#ahorro_apv_premium_real_uf").text(cambiaDecimal(objp.RealUf));
	 		 		    }
						if(objp.NombreSubProducto === "PYA CLASICO"){
							$("#ahorro_pya_clasico_meta").text(cambiaDecimal(objp.Meta));
	 		 		    	$("#ahorro_pya_clasico_real").text(cambiaDecimal(objp.Real));
	 		 		    	$("#ahorro_pya_clasico_real_uf").text(cambiaDecimal(objp.RealUf));
	 		 		    }
						if(objp.NombreSubProducto === "PYA EXECUTIVE"){
							$("#ahorro_pya_executive_meta").text(cambiaDecimal(objp.Meta));
	 		 		    	$("#ahorro_pya_executive_real").text(cambiaDecimal(objp.Real));
	 		 		    	$("#ahorro_pya_executive_real_uf").text(cambiaDecimal(objp.RealUf));
	 		 		    }
						if(objp.NombreSubProducto === "PYA PREMIUM"){
							$("#ahorro_pya_premium_meta").text(cambiaDecimal(objp.Meta));
	 		 		    	$("#ahorro_pya_premium_real").text(cambiaDecimal(objp.Real));
	 		 		    	$("#ahorro_pya_premium_real_uf").text(cambiaDecimal(objp.RealUf));
	 		 		    }
						if(objp.NombreSubProducto === "UNIVERSITARIO"){
	 		 		    	$("#universitario_meta").text(cambiaDecimal(objp.Meta));
			 		    	$("#universitario_real").text(cambiaDecimal(objp.Real));
			 		    	$("#universitario_real_uf").text(cambiaDecimal(objp.RealUf));
	 		 		    }						
	 		    	}
	 		    }
	 		}
	 		
	 		for (var i = 0; i < mixProd.data.ProductosHistorico.length; i++){
	 		    var obj = mixProd.data.ProductosHistorico[i];
	 		    
	 		    if (obj.NombreProducto === "PROTECCION"){
	 		    	for (var x = 0; x < obj.SubProductos.length; x++){
	 		 		    var objp = obj.SubProductos[x];
	 		 		    if(objp.NombreSubProducto === "ACCIDENTAL FULL"){
	 		 		    	$("#proteccion_hist_accidental_full_totalAcum").text(cambiaDecimal(objp.TotalAcum));
	 		 		    	//$("#proteccion_hist_accidental_full_promedio").text(objp.Promedio);
	 		 		    	$("#proteccion_hist_accidental_full_promediouf").text(cambiaDecimal(objp.PromedioUf));
	 		 		    }
	 		 		  	if(objp.NombreSubProducto === "FULL PROTECCION"){
	 		 		    	$("#proteccion_hist_full_proteccion_totalAcum").text(cambiaDecimal(objp.TotalAcum));
	 		 		    	//$("#proteccion_hist_full_proteccion_promedio").text(objp.Promedio);
	 		 		    	$("#proteccion_hist_full_proteccion_promediouf").text(cambiaDecimal(objp.PromedioUf));
	 		 		    }
	 		 			if(objp.NombreSubProducto === "ACCIDENTAL BASICO"){
	 		 		    	$("#proteccion_hist_accidental_basico_totalAcum").text(cambiaDecimal(objp.TotalAcum));
	 		 		    	//$("#proteccion_hist_accidental_basico_promedio").text(objp.Promedio);
	 		 		    	$("#proteccion_hist_accidental_basico_promediouf").text(cambiaDecimal(objp.PromedioUf));
	 		 		    }
	 		 			if(objp.NombreSubProducto === "SALUD"){
	 		 		    	$("#proteccion_hist_salud_totalAcum").text(cambiaDecimal(objp.TotalAcum));
	 		 		    	//$("#proteccion_hist_salud_promedio").text(objp.Promedio);
	 		 		    	$("#proteccion_hist_salud_promediouf").text(cambiaDecimal(objp.PromedioUf));
	 		 		    }
	 		    	}
	 		    }else if(obj.NombreProducto === "AHORRO"){
	 		    	for (var x = 0; x < obj.SubProductos.length; x++){
	 		 		    var objp = obj.SubProductos[x];
	 		 		    if(objp.NombreSubProducto === "APV CLASICO"){
	 		 		    	$("#ahorro_hist_apv_clasico_totalAcum").text(cambiaDecimal(objp.TotalAcum));
	 		 		    	//$("#ahorro_hist_apv_clasico_promedio").text(objp.Promedio);
	 		 		    	$("#ahorro_hist_apv_clasico_promediouf").text(cambiaDecimal(objp.PromedioUf));
	 		 		    }
	 		 		 	if(objp.NombreSubProducto === "APV EXECUTIVE"){
	 		 		 		$("#ahorro_hist_apv_executive_totalAcum").text(cambiaDecimal(objp.TotalAcum));
	 		 		    	//$("#ahorro_hist_apv_executive_promedio").text(objp.Promedio);
	 		 		    	$("#ahorro_hist_apv_executive_promediouf").text(cambiaDecimal(objp.PromedioUf));
	 		 		    }
						if(objp.NombreSubProducto === "APV PREMIUM"){
							$("#ahorro_hist_apv_premium_totalAcum").text(cambiaDecimal(objp.TotalAcum));
	 		 		    	//$("#ahorro_hist_apv_premium_promedio").text(objp.Promedio);
	 		 		    	$("#ahorro_hist_apv_premium_promediouf").text(cambiaDecimal(objp.PromedioUf));
	 		 		    }
						if(objp.NombreSubProducto === "PYA CLASICO"){
							$("#ahorro_hist_pya_clasico_totalAcum").text(cambiaDecimal(objp.TotalAcum));
	 		 		    	//$("#ahorro_hist_pya_clasico_promedio").text(objp.Promedio);
	 		 		    	$("#ahorro_hist_pya_clasico_promediouf").text(cambiaDecimal(objp.PromedioUf));
	 		 		    }
						if(objp.NombreSubProducto === "PYA EXECUTIVE"){
							$("#ahorro_hist_pya_executive_totalAcum").text(cambiaDecimal(objp.TotalAcum));
	 		 		    	//$("#ahorro_hist_pya_executive_promedio").text(objp.Promedio);
	 		 		    	$("#ahorro_hist_pya_executive_promediouf").text(cambiaDecimal(objp.PromedioUf));
	 		 		    }
						if(objp.NombreSubProducto === "PYA PREMIUM"){
							$("#ahorro_hist_pya_premium_totalAcum").text(cambiaDecimal(objp.TotalAcum));
	 		 		    	//$("#ahorro_hist_pya_premium_promedio").text(objp.Promedio);
	 		 		    	$("#ahorro_hist_pya_premium_promediouf").text(cambiaDecimal(objp.PromedioUf));
	 		 		    }
						
						if(objp.NombreSubProducto === "UNIVERSITARIO"){
							$("#universitario_hist_totalAcum").text(cambiaDecimal(objp.TotalAcum));
			 		    	//$("#universitario_hist_promedio").text(objp.Promedio);
			 		    	$("#universitario_hist_promediouf").text(cambiaDecimal(objp.PromedioUf));
	 		 		    }
						
						
	 		    	}
	 		    }
	 		}
	 	}
	}
	 
	 //]]>
 </script>
 <script src="#{request.contextPath}/recursos/dist/js/custom.js"></script>
</h:body>
</html>